openjade (1.4devel1-23) unstable; urgency=medium

  * Reverted innocuous looking change to FlowObj.cxx in 21.4 which caused
    regression (e.g., DocBook tables no longer formatted correctly).
  * Updated to source format 3.0 (quilt) (Closes: #1007052).
  * Updated to debhelper compatibility level 13. 

 -- Neil Roeth <neil@debian.org>  Tue, 02 Jan 2024 23:39:03 -0500

openjade (1.4devel1-22) unstable; urgency=medium

  * Updated Makefile.am, configure.in to resolve FTBFS (Closes: #978337)
  * Replaced dh_clean -k and dh_clean -d with dh_prep (Closes: #901229)
  * Multiarchified libostyle1c2 (Closes: #891394)

 -- Neil Roeth <neil@debian.org>  Sat, 02 Jan 2021 10:57:37 -0500

openjade (1.4devel1-21.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernhard Übelacker ]
  * Fix segfault caused by "no return statement in function returning
    non-void" and other warnings. (Closes: #975242, #489482)

 -- Christoph Berg <myon@debian.org>  Thu, 17 Dec 2020 16:25:32 +0100

openjade (1.4devel1-21.3) unstable; urgency=low

  * Non-maintainer upload.
  * Pass -fno-lifetime-dse to GCC to work around invalid assumptions about
    object lifetimes (closes: #823419). Thanks to Daniel Schepler for the bug
    report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 01 Oct 2016 17:01:25 +0200

openjade (1.4devel1-21.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817606)
    - Don't use brace expansion in debian/libostyle-dev.install.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:09:33 +0200

openjade (1.4devel1-21.1) unstable; urgency=medium

  [ Wookey ]
  * Add acinclude.m4 macro to find correct intlh header whether or
    not gettext is present (Closes: #748626, #759100)
  * Update rules file to use dh-autoreconf rather than manual commands
    and update configure.in enough for autoreconf to work

  [ Andreas Barth ]
  * Non-maintainer upload.
  * Update configure.in to set PACKAGE_TARNAME to mixed case.
  * Create po/Makevars with copyright hint to individual pot files
    and DOMAIN=jade.

 -- Andreas Barth <aba@ayous.org>  Sun, 24 Aug 2014 12:47:55 +0000

openjade (1.4devel1-21) unstable; urgency=low

  * Added dependency on libperl4-corelibs-perl for getopts.pl. (Closes:
    #724728).
  * Added explicit dependency on libostyle1c2 to libostyle-dev to ensure
    there are no broken symlinks when installed. (Closes: #715098).
  * Added man page to update-alternatives. (Closes: #662887).

 -- Neil Roeth <neil@debian.org>  Sat, 12 Oct 2013 21:09:50 -0400

openjade (1.4devel1-20.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: make[1]: *** No targets specified and no makefile found.
    Stop.": fix target dependencies in debian/rules.
    (Closes: #666346)

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 May 2012 17:27:19 +0200

openjade (1.4devel1-20) unstable; urgency=low

  * Resolved lintian warnings:
  - about shlibs
  - added debian/source/format
  - added build-arch and build-indep target to debian/rules
  * Updated to policy 3.9.2.0:
  - Removed obsolete -D_REENTRANT option.
  * Removed unnecessary lintian override.
  
 -- Neil Roeth <neil@debian.org>  Sat, 06 Aug 2011 10:43:48 -0400

openjade (1.4devel1-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with -fpermissive to fix build failure with GCC 4.6
    (Closes: #624872).
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:39:11 +0200


openjade (1.4devel1-19) unstable; urgency=low

  * Ensure it builds with g++ 4.3

 -- Neil Roeth <neil@debian.org>  Thu, 24 Jul 2008 07:46:05 -0400

openjade (1.4devel1-18) unstable; urgency=low

  * debian/rules: COPYING inadvertently was changed to GPL, which applies
    to debian/ dir, not whole package.  Reverted back to COPYING from
    upstream, which appears to be BSD-derived. Does away with cmp that
    caused FTBFS in prior Debian version.

 -- Neil Roeth <neil@debian.org>  Thu, 31 Aug 2006 21:33:06 -0400

openjade (1.4devel1-17) unstable; urgency=low

  * debian/rules: Fix FTBFS, thanks to Julien Danjou (closes: #383772)

 -- Neil Roeth <neil@debian.org>  Sat, 19 Aug 2006 13:18:11 -0400

openjade (1.4devel1-16) unstable; urgency=low

  * Fixed "openjade: FTBFS: bashisms in debian/rules", thanks to Julien
    Danjou (closes: #376481)

 -- Neil Roeth <neil@debian.org>  Mon,  3 Jul 2006 22:20:33 -0400

openjade (1.4devel1-15) unstable; urgency=low

  * Compiled against new libosp5.

 -- Neil Roeth <neil@debian.org>  Sun,  8 Jan 2006 07:59:04 -0500

openjade (1.4devel1-14) unstable; urgency=low

  * Added dh-buildinfo.
  * Updated FSF location in COPYING. (closes: #314414)
  * Update for g++ 4.0 transition - depend on libosp4c2. (closes: #321543)
  * debian/rules: Backed optimization down from -O3 to -O2 to avoid ICE in
    g++ while compiling GroveBuilder.
  * Change "it's" to "its" in Description. (closes: #268534, #277258)

 -- Neil Roeth <neil@debian.org>  Mon,  8 Aug 2005 21:57:08 -0400

openjade (1.4devel1-13) unstable; urgency=low

  * Compiled against new libosp4.
  * Moved debhelper compatibility level from debian/rules to debian/compat.
  * Revamped debian/rules - used debhelper to simplify it greatly.
  * Moved include files from openjade package to libostyle-dev package.
    Added Conflicts: openjade (<< 1.4devel1-13) to libostyle-dev.
  * Updated to Standards-Version: 3.6.1 (no changes).
  * Depend on debhelper >= 4.1.75 to pick up bug fixes for dh_installcatalogs.

 -- Neil Roeth <neil@debian.org>  Thu, 23 Oct 2003 22:50:37 -0400

openjade (1.4devel1-12) unstable; urgency=low

  * Cleaned up debian/rules:
  - Set DH_COMPAT=4, debhelper version to (>=4).
  - Used libtool 1.5 for autotools generated files, so C++ gets used for
    linking, ensuring that libs get linked with libstdc++, and removed
    gruesome sed hacks that were necessary to do this with libtool 1.4.
  - Fixed copyright file: was a copy of GPL plus some text that referenced
    /usr/share/common-licenses/GPL, now it is the actual copyright notice,
    the reference, and the Debian copyright info.
  - Let debhelper tools do shlibs and substvars generation instead of
    explicitly doing it in rules.
  - Added openjade-1.4devel1 man page (closes: #191738)
  * Updated to Standards-Version: 3.6.0.
  * Removed libtool from Build-Depends.

 -- Neil Roeth <neil@debian.org>  Thu,  7 Aug 2003 08:23:59 -0400

openjade (1.4devel1-11) unstable; urgency=low

  * Recognize 'noopt' instead of 'debug' in DEB_BUILD_OPTIONS.
  * Changed section of libostyle-dev to libdevel.
  * Remove use of autotools from regular package build.
  * Added unicode/Makefile.am to replace Debian specific rules.
  * Added contrib/Makefile.am in order to get transform.dsl into openjade
    package.  I find it useful, I suppose others might, too.
  * Added *.gmo to files removed in clean target of makefile in subdir po.
    They get built if not there, and were causing a binary file difference
    error when building the package.
  * Fixed improperly defined 'attribute' function in builtins.dsl; changed
    parameter name from 'string' to 'name'. (closes: #145242)
  * Incorporated patch to fix quoting of '&' in XML backend.  Will push
    upstream. (closes: #147073)
  * Thanks to Toby Speight for the patches that closed the two bugs.

 -- Neil Roeth <neil@debian.org>  Sun, 27 Jul 2003 21:51:16 -0400

openjade (1.4devel1-10) unstable; urgency=low

  * Make new maintainer effective by actually changing Maintainer field in
    control file. (closes: #171072)

 -- Neil Roeth <neil@debian.org>  Sun, 25 May 2003 12:20:13 -0400

openjade (1.4devel1-9) unstable; urgency=low

  * New maintainer (closes: #171072)
  * Add/remove central catalog to/from super catalog. (closes: #191060)
  * Removed unnecessary token pasting operator in Node.cxx so that it
    compiles with g++ 3.3. (closes: #193219)
  * Removed install-docs calls from postinst and prerm; they are already
    handled by dh_installdocs.

 -- Neil Roeth <neil@debian.org>  Sun, 25 May 2003 10:02:51 -0400

openjade (1.4devel1-8.3) unstable; urgency=low

  * NMU
  * Fix libostyle1.shlibs.  Closes: #187543.
  * Fix libostyle-dev dependencies.

 -- Daniel Schepler <schepler@debian.org>  Fri,  4 Apr 2003 16:32:11 -0800

openjade (1.4devel1-8.2) unstable; urgency=low

  * NMU
  * Remove manpage slave from openjade alternative, since it was now
    creating a dangling symlink.

 -- Daniel Schepler <schepler@debian.org>  Wed, 19 Mar 2003 04:31:57 -0800

openjade (1.4devel1-8.1) unstable; urgency=low

  * NMU
  * Use updated msggen.pl from upstream CVS to allow compilation with
    newer opensp versions.  Closes: #159140.
    (Upstream also changed the soname version with this patch, so I'm
    doing the same.)
  * Remove obsolete po/Makefile code from configure.in.
  * g++-3.2 transition.  Closes: #179709.

 -- Daniel Schepler <schepler@debian.org>  Sun, 16 Mar 2003 18:34:24 -0800

openjade (1.4devel1-8) unstable; urgency=low

  * Added build-flag for hppa.  Thanks to Lamont Jones.  (closes: Bug#126852)
  * Added patch (closes: Bug#108414) to fix some aspect of table creation.

 -- Chad Miller <cmiller@debian.org>  Thu, 21 Feb 2002 16:19:45 +0000

openjade (1.4devel1-7) unstable; urgency=low

  * Made openjade binary use alternatives system.
  * Corrected registration of unicode catalog.  Clobber any other version
    at preinst.

 -- Chad Miller <cmiller@debian.org>  Mon, 17 Dec 2001 02:53:27 +0000

openjade (1.4devel1-6) unstable; urgency=low

  * Maintainer change.  (closes: Bug#110802)
  * Register and deregister catalog using update-catalog.  (closes: Bug#108360)
  * Changed to debhelper v3.
  * Fixed control file var-subst on nonexistent package version.
  * Named openjade's postinst and prerm to names that get included in the package.
    (the real source of Bug#108360)

 -- Chad Miller <cmiller@debian.org>  Sun, 16 Dec 2001 16:41:00 +0000

openjade (1.4devel1-5) unstable; urgency=low

  * debian/control: fix override disparities in libostyle0 and
    libostyle-dev
  * debian/control: build-depends on gettext
    closes: #105181
  * problem fixed a while ago where we weren't shipping the HTML
    documentation
    closes: #71093
  * Japanese translation added upstream
  * debian/rules: make maintainer-clean upstream is incredibly fragile,
    so tolerate errors there until that gets fixed
  * debian/rules: during build, run libtoolize --force to replace this
    libtoolize stuff, which is needed for arches which diverge from the
    libtool stuff OpenSP ships with
  * debian/rules, control: use dh_shlibdeps, remove some hand-rolled stuff
    here which was unnecessary and in fact adding two libosp deps on the
    opensp package, not to mention that it stopped working

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Jul 2001 11:08:45 -0400

openjade (1.4devel1-4) unstable; urgency=low

  * upstream changes from CVS, see NEWS
  * debian/rules: compile with -O3 instead of -O2 to try to get this thing
    faster; CXXFLAGS propogates to the library stuff properly now; remove
    an extra licensing file (thanks, lintian); some improvements in clean
    and cvs-build (snapshot building); run aclocal and autoheader, I think
    this is proper -- it certainly inhibits some warnings
  * debian/control: update standards to 3.5.0 (no changes required)

 -- Adam Di Carlo <aph@debian.org>  Fri,  2 Feb 2001 21:44:24 -0500

openjade (1.4devel1-3) unstable; urgency=low

  * upstream changes from CVS, see NEWS
  * debian/rules: cope with DEB_BUILD_OPTIONS; stop building with -g by
    default; fix setting of pkgdocdir when doing 'make install'
  * debian/control: Policy compliant with 3.2.1

 -- Adam Di Carlo <aph@debian.org>  Sat, 27 Jan 2001 15:03:29 -0500

openjade (1.4devel1-2) unstable; urgency=low

  * some upstream changes from cvs since the last release
  * debian/rules: stop renaming unicode.sd to unicode.decl, based on a
    related problem in jade; build with -g

 -- Adam Di Carlo <aph@debian.org>  Wed, 18 Oct 2000 00:13:25 -0400

openjade (1.4devel1-1) unstable; urgency=low

  * new package; upstream fork from James Clark's Jade package
    (closes: Bug#41697)

 -- Adam Di Carlo <aph@debian.org>  Sat, 20 May 2000 12:55:44 -0400


